AbstractFaultChainInitiatorObserver (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor

## Class AbstractFaultChainInitiatorObserver

- java.lang.Object
- - org.apache.cxf.interceptor.AbstractFaultChainInitiatorObserver

- All Implemented Interfaces:
    `MessageObserver`
  Direct Known Subclasses:
    `ClientOutFaultObserver`, `InFaultChainInitiatorObserver`, `OutFaultChainInitiatorObserver`

      public abstract class AbstractFaultChainInitiatorObserver
      extends Object
      implements MessageObserver

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractFaultChainInitiatorObserver​(Bus bus)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Bus` | `getBus()` |
    `protected abstract SortedSet<Phase>` | `getPhases()` |
    `protected void` | `initializeInterceptors​(Exchange ex, PhaseInterceptorChain chain)` |
    `protected abstract boolean` | `isOutboundObserver()` |
    `void` | `onMessage​(Message message)` | Called for an incoming message, i.e. where the content format(s) is/are source(s).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractFaultChainInitiatorObserver

          public AbstractFaultChainInitiatorObserver​(Bus bus)

  - ### Method Detail

    - #### onMessage

          public void onMessage​(Message message)

      Description copied from interface: `MessageObserver`
      Called for an incoming message, i.e. where the content format(s) is/are source(s).
      Specified by:
        `onMessage` in interface `MessageObserver`

    - #### isOutboundObserver

          protected abstract boolean isOutboundObserver()

    - #### getPhases

          protected abstract SortedSet<Phase> getPhases()

    - #### initializeInterceptors

          protected void initializeInterceptors​(Exchange ex,
                                                PhaseInterceptorChain chain)

    - #### getBus

          public Bus getBus()